Subject: Re: [PATCH v2 0/2] commit: remove deprecated functions

From: Jeff King <[email-masked]>
Date: Fri, 29 May 2026 04:37:16 -0400

On Thu, May 28, 2026 at 09:00:09AM +0200, [email-masked] wrote:

> Topic summary: Remove deprecated comments that were slated for removal
> after Git 2.53.0.

This looks obviously correct to me, but the whole topic made me wonder:
was it worth retaining the old names and deprecating them, versus just
removing them back then?

Topics in flight would have needed an update then, but they did
eventually anyway. So it feels like the total amount of work done is
larger, compared to just fixing them as the topics were merged. Either
way the compiler tells us, and the adjustments themselves are small.

Not a huge deal either way, but just pondering for future such
situations.

-Peff